Subject: Re: Problems with libtiff!
From: Earnie Boyd <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 18 Jun 1999 11:22:10 -0700 (PDT)

--- [email-masked] wrote:
-8<-
> But this is a development problem, not a usage one.  Yes, developers
> and porters should be much more careful about their f?open() calls.
> But where users are concerned, I find it hard to use text mounts (and
> recommend them to other users) when even the most important program of
> them all (bash) is not yet binary/text clean.

If you believe that bash has problems with binary/text then the best solution
would be to find the problems and submit a patch.  BTW, IMO it is readline that
has the problem and not bash.  I've been using cygwin for a couple of years now
processing with text default mounts and the only problem I've seen with bash is
the initialization of the history buffer from the history file.

Changing from a default of text mode processing to a default of binary mode
processing only changes the cause of the headaches.  You still must properly
port the code.  For truly portable code you must specify how the file is to be
processed before it's processed.  DON'T DEPEND ON DEFAULTS.

===
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't include me)
_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]